Bug 1797 - All forums need to refer to each other
Summary: All forums need to refer to each other
Status: REOPENED
Alias: None
Product: Websites
Classification: Unclassified
Component: forums.mageia.org (show other bugs)
Version: trunk
Hardware: i586 Linux
Priority: Normal normal
Target Milestone: ---
Assignee: Atelier Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-14 14:32 CEST by Romain d'Alverny
Modified: 2013-12-09 13:17 CET (History)
5 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments

Description Romain d'Alverny 2011-06-14 14:32:43 CEST
Description of problem:
When on the English forum, it's not obvious:
 - where you are in mageia.org (that will be addressed in a distinct bug);
 - that there are other language-focused forums and where they are, unless you go down in a specific sub-forum.
Comment 1 Romain d'Alverny 2011-06-14 14:33:54 CEST
A solution can be to have the same (In reply to comment #0)
>  - that there are other language-focused forums and where they are, unless you
> go down in a specific sub-forum.

A solution can be to have a top (or aside) navigation item that lists all forums, in a consistent manner (so that each forum will host the same UI widget, with the same behaviour, thus reinforcing the common theme between forums).
Comment 2 Wolfgang Bornath 2011-06-14 14:43:41 CEST
As proposed in bug #860 comment #75:

An overall solution for 2nd issue, including the redirection issue to local
language forums:

1. In the international forum the header can display links to all known forums,
local as well as external. 

2. All localized forums (local or external) should place a link "Back to Mageia.Org" in their header, which leads back to mageia.org/[lang]
(Easily done in phpbb3 by adding a line in templates/overall_header.html)

After this has been done 

Let all users come to the international forum. There they will see a link to
their language forum (if there is one) and can go there. After first visit
there they will probably bookmark the direct link anyway. If there is no link
to a special forum in their language, then there is no such forum (at least
that we know of) and they have to do with the international forum.

Means:
- no need for the forum section (Supporting Community forums) any more
- no need to change the forum entry in the overall nav bar, let it point to
forums.mageia.org for all languages

CC: (none) => molch.b

Comment 3 Marja Van Waes 2011-10-20 15:46:08 CEST
ping?

CC: (none) => marja11

Comment 4 Marja Van Waes 2012-01-23 20:09:47 CET
Pinging. because nothing happened to this report since more than 3 months ago, and it still has the status NEW or REOPENED.

Please set status to ASSIGNED, or, if for work flow reasons you can't do that, put OK on the whiteboard instead.
Comment 5 Romain d'Alverny 2012-01-26 18:38:22 CET
Will reconsider this issue later.

Status: NEW => RESOLVED
Resolution: (none) => OLD

Comment 6 Florian Hubold 2012-08-12 17:02:35 CEST
Reopening this one, as international forum currently has no link to german forum, and it's rather difficult to find from Mageia web pages. Discussed in https://forums.mageia.org/en/viewtopic.php?f=39&t=3066

Status: RESOLVED => REOPENED
CC: (none) => doktor5000
Resolution: OLD => (none)

Maat 2012-08-16 09:04:46 CEST

CC: (none) => maat-ml
Assignee: mageia-webteam => forums-bugs

Comment 7 Maat 2012-10-22 07:55:15 CEST
After re-reading the post it seems to me that what you want is a change in the common navbar more than see /de/ forums added among external localized forums Florian.

Did i undertand correctly ?
Comment 8 Florian Hubold 2012-10-23 20:04:21 CEST
Well, current situation with new Navbar: Forums in general are rather hard to find, juding by comments from new users. And the german forum, which is not listed anymore in https://forums.mageia.org/en/viewforum.php?f=20 is currently hard to find, judging by quite some german users who first post in the international forum, before they get to know that there's a german one.

So best add it back to https://forums.mageia.org/en/viewforum.php?f=20
I won't comment on the newer Navbar further ...
Comment 9 Florian Hubold 2013-11-29 17:22:13 CET
What is this bug really about and who will do what to fix it?

Hint: With the old navbar which is still in place e.g. above the german forum https://forums.mageia.org/de/ it's easily visible "where you are in mageia.org"

Why not simply add a dropdown menu "Forums" and list them there?
What's so difficult about this? In the end, is this the same problem as with the link to the Wiki in the navbar? Finally fixed by a short edit from leuhmanu?

And why is this assigned to forums team, when this is an issue outside of forums? Shouldn't this be assigned to Atelier / Web team?
@maat: Why did you assign this to forums team?
Comment 10 Maat 2013-11-29 19:29:59 CET
(In reply to Florian Hubold from comment #9)
> 
> And why is this assigned to forums team, when this is an issue outside of
> forums? Shouldn't this be assigned to Atelier / Web team?
> @maat: Why did you assign this to forums team?

It was an error. Sorry. 

You're right: it would make sense to assign it to Atelier / Web team
Comment 11 Florian Hubold 2013-11-29 19:42:00 CET
Reassigning to Atelier as I can't find the right mail for web team ...

Assignee: forums-bugs => atelier-bugs

Comment 12 Manuel Hiebel 2013-11-29 19:47:33 CET
as atelier member (web part) I see no where we can change nav bar of forums...
Comment 13 Manuel Hiebel 2013-11-29 19:58:32 CET
So this is more something for forum and as I understand it's not the nav bar (which can see on other *.mageia.org) but something to add under this nav only in the forum. Like what is done @mandriva
And again we (or only me?) have no access to the css/template/code of the forum.
Comment 14 Filip Komar 2013-12-01 21:29:34 CET
I think we're mixing two topics here.

One is in the title of this BR. This can be done in each of the forums. Like here when some (de, pl) are missing:
https://forums.mageia.org/en/viewforum.php?f=20


Adding forums in the navigation bar is the other. 

(In reply to Florian Hubold from comment #9)
> Hint: With the old navbar which is still in place e.g. above the german
> forum https://forums.mageia.org/de/ it's easily visible "where you are in
> mageia.org"

I agree with you that forums are important and OTOH not easy to find for some. But I don't think that going back to the old nav is the right way. Or did you showed us as an example?
BTW this nav is seriously outdated as it still links mga1.

> Why not simply add a dropdown menu "Forums" and list them there?
This is a good idea about technical side. But I think adding another link in top part of navigation will clutter it if we won't squeeze it or sacrifice some other link. So we all need to agree on this one.



Very good example for multiple languages in phpBB forum itself done in it's code:

I used this instructions successfully once:
http://www.martin-truckenbrodt.com/cgi/phpBB3/viewtopic.php?f=23&t=94
topic name: upper static navbar

This one is also interesting:
http://www.martin-truckenbrodt.com/cgi/phpBB3/viewtopic.php?f=24&t=96
topic name: several upper static website navbars per language

Probably not fully compatible with our setup but those are interesting ideas. To me at least. It looks very consistent and integrated. Probably that is also a reason why this is not easy to maintain.

CC: (none) => filip.komar

Comment 15 Filip Komar 2013-12-09 13:17:32 CET
@forum moderators
Can someone please add also some missing languages (de, pl):
https://forums.mageia.org/en/viewforum.php?f=20


@Manuel
According to simple and tested Martin Truckenbrodt solution (comment #14) we should include mognase code in the overall_header.html in the git (see bellow).


(In reply to Manuel Hiebel from comment #13)
> And again we (or only me?) have no access to the css/template/code of the
> forum.

http://gitweb.mageia.org/web/forums/tree/phpBB/styles/prosilver/template/overall_header.html

After local tests we should test it on friteuse too.

Please note that your (and mine) email didn't arrived to forums-bugs ML as we were not subscribed.

Note You need to log in before you can comment on or make changes to this bug.